## firmware-mod-kit 0.99%2bgit20190714

=== src/others/squashfs-2.2-r2-7z/liblzma/Makefile ===
#
# build a zlib compatible wrapper around p7zip (davidm@snapgear.com)
#

PROG = liblzma.a

P7ZIP_SRC = p7zip

# CXX = g++ -O3 -Wall
AR ?= ar
RM ?= rm -f
CFLAGS += -c -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -DNDEBUG -D_REENTRANT -DENV_UNIX -DEXCLUDE_COM -DNO_REGISTRY -DFORMAT_7Z -DFORMAT_BZIP2 -DFORMAT_ZIP -DFORMAT_TAR -DFORMAT_GZIP -DCOMPRESS_LZMA -DCOMPRESS_BCJ_X86 -DFORMAT_SPLIT -DFORMAT_Z -DCOMPRESS_BCJ2 -DCOMPRESS_COPY -DCOMPRESS_MF_MT -DCOMPRESS_PPMD -DCOMPRESS_DEFLATE -DCOMPRESS_DEFLATE64 -DCOMPRESS_IMPLODE -DCOMPRESS_BZIP2 -DCRYPTO_ZIP -DCRYPTO_7ZAES -DCRYPTO_AES -c -I$(P7ZIP_SRC)/myWindows -I$(P7ZIP_SRC) -I$(P7ZIP_SRC)/include_windows 


MY_WINDOWS=

include $(P7ZIP_SRC)/makefile.machine

OBJS = \
  ZLib.o \
  LZMADecoder.o \
  LZMAEncoder.o \
  LZInWindow.o \
  LZOutWindow.o \
  RangeCoderBit.o \
  InBuffer.o \
  OutBuffer.o \
  FileStreams.o \
  Alloc.o \
  StreamUtils.o \
  CommandLineParser.o \
  Synchronization.o \
  MT.o \
  CRC.o \
  String.o \
  StringConvert.o \
  StringToInt.o \
  Vector.o \


all: $(PROG)

$(PROG): $(OBJS)
	$(AR) r $(PROG) $(OBJS)

ZLib.o: liblzma/ZLib.cpp
	$(CXX) $(CFLAGS) liblzma/ZLib.cpp

LZMADecoder.o: $(P7ZIP_SRC)/7zip/Compress/LZMA/LZMADecoder.cpp
	$(CXX) $(CFLAGS) $(P7ZIP_SRC)/7zip/Compress/LZMA/LZMADecoder.cpp

LZMAEncoder.o: $(P7ZIP_SRC)/7zip/Compress/LZMA/LZMAEncoder.cpp
	$(CXX) $(CFLAGS) $(P7ZIP_SRC)/7zip/Compress/LZMA/LZMAEncoder.cpp

Synchronization.o: $(P7ZIP_SRC)/Windows/Synchronization.cpp
	$(CXX) $(CFLAGS) $(P7ZIP_SRC)/Windows/Synchronization.cpp

StreamUtils.o: $(P7ZIP_SRC)/7zip/Common/StreamUtils.cpp
	$(CXX) $(CFLAGS) $(P7ZIP_SRC)/7zip/Common/StreamUtils.cpp

MT.o: $(P7ZIP_SRC)/7zip/Compress/LZ/MT/MT.cpp
	$(CXX) $(CFLAGS) $(P7ZIP_SRC)/7zip/Compress/LZ/MT/MT.cpp

LZInWindow.o: $(P7ZIP_SRC)/7zip/Compress/LZ/LZInWindow.cpp
	$(CXX) $(CFLAGS) $(P7ZIP_SRC)/7zip/Compress/LZ/LZInWindow.cpp

LZOutWindow.o: $(P7ZIP_SRC)/7zip/Compress/LZ/LZOutWindow.cpp
	$(CXX) $(CFLAGS) $(P7ZIP_SRC)/7zip/Compress/LZ/LZOutWindow.cpp

RangeCoderBit.o: $(P7ZIP_SRC)/7zip/Compress/RangeCoder/RangeCoderBit.cpp
	$(CXX) $(CFLAGS) $(P7ZIP_SRC)/7zip/Compress/RangeCoder/RangeCoderBit.cpp

InBuffer.o: $(P7ZIP_SRC)/7zip/Common/InBuffer.cpp
	$(CXX) $(CFLAGS) $(P7ZIP_SRC)/7zip/Common/InBuffer.cpp

OutBuffer.o: $(P7ZIP_SRC)/7zip/Common/OutBuffer.cpp
	$(CXX) $(CFLAGS) $(P7ZIP_SRC)/7zip/Common/OutBuffer.cpp

FileStreams.o: $(P7ZIP_SRC)/7zip/Common/FileStreams.cpp
	$(CXX) $(CFLAGS) $(P7ZIP_SRC)/7zip/Common/FileStreams.cpp

Alloc.o: $(P7ZIP_SRC)/Common/Alloc.cpp
	$(CXX) $(CFLAGS) $(P7ZIP_SRC)/Common/Alloc.cpp

C_FileIO.o: $(P7ZIP_SRC)/Common/C_FileIO.cpp
	$(CXX) $(CFLAGS) $(P7ZIP_SRC)/Common/C_FileIO.cpp

CommandLineParser.o: $(P7ZIP_SRC)/Common/CommandLineParser.cpp
	$(CXX) $(CFLAGS) $(P7ZIP_SRC)/Common/CommandLineParser.cpp

CRC.o: $(P7ZIP_SRC)/Common/CRC.cpp
	$(CXX) $(CFLAGS) $(P7ZIP_SRC)/Common/CRC.cpp

MyWindows.o: $(P7ZIP_SRC)/Common/MyWindows.cpp
	$(CXX) $(CFLAGS) $(P7ZIP_SRC)/Common/MyWindows.cpp

String.o: $(P7ZIP_SRC)/Common/String.cpp
	$(CXX) $(CFLAGS) $(P7ZIP_SRC)/Common/String.cpp

StringConvert.o: $(P7ZIP_SRC)/Common/StringConvert.cpp
	$(CXX) $(CFLAGS) $(P7ZIP_SRC)/Common/StringConvert.cpp

StringToInt.o: $(P7ZIP_SRC)/Common/StringToInt.cpp
	$(CXX) $(CFLAGS) $(P7ZIP_SRC)/Common/StringToInt.cpp

Vector.o: $(P7ZIP_SRC)/Common/Vector.cpp
	$(CXX) $(CFLAGS) $(P7ZIP_SRC)/Common/Vector.cpp

clean:
	-$(RM) $(PROG) $(OBJS)

romfs:

## firmware-mod-kit 0.99+git20190714

=== src/others/Makefile ===
all:
	make -C ./squashfs-2.2-r2-7z
	make -C ./squashfs-3.0-e2100
	make -C ./squashfs-3.2-r2
	make -C ./squashfs-3.2-r2-lzma
	make -C ./squashfs-3.2-r2-hg612-lzma
	make -C ./squashfs-3.2-r2-wnr1000
	make -C ./squashfs-3.2-r2-rtn12
	make -C ./squashfs-3.3
	make -C ./squashfs-3.3-lzma
	make -C ./squashfs-3.3-grml-lzma
	make -C ./squashfs-3.4-cisco
	make -C ./squashfs-3.4-nb4
	make -C ./squashfs-4.0-lzma
	make -C ./squashfs-4.0-realtek
	make -C ./squashfs-2.0-nb4
	make -C ./squashfs-4.2
	make -C ./squashfs-4.2-official

clean:
	make -C ./squashfs-2.2-r2-7z
	make -C ./squashfs-3.0-e2100 clean
	make -C ./squashfs-3.2-r2 clean
	make -C ./squashfs-3.2-r2-lzma clean
	make -C ./squashfs-3.2-r2-hg612-lzma clean
	make -C ./squashfs-3.2-r2-wnr1000 clean
	make -C ./squashfs-3.2-r2-rtn12 clean
	make -C ./squashfs-3.3 clean
	make -C ./squashfs-3.3-lzma clean
	make -C ./squashfs-3.3-grml-lzma clean
	make -C ./squashfs-3.4-cisco clean
	make -C ./squashfs-3.4-nb4 clean
	make -C ./squashfs-4.0-lzma clean
	make -C ./squashfs-4.0-realtek clean
	make -C ./squashfs-2.0-nb4 clean
	make -C ./squashfs-4.2 clean
	make -C ./squashfs-4.2-official clean

=== debian/changelog ===
firmware-mod-kit (0.99+git20190714-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 01:12:16 +0200

firmware-mod-kit (0.99+git20190714-0kali1) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Update homepage
  * New upstream version 0.99+git20190714
  * Add documentation
  * Switch to Python 3
  * Use debhelper-compat 12
  * Bump Standards-Version to 4.4.0

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 02 Oct 2019 17:31:00 +0200

firmware-mod-kit (0.99-1kali2) kali; urgency=low

  * Changed arch to i386 and amd64

 -- Devon Kearns <dookie@kali.org>  Wed, 03 Jul 2013 10:19:25 -0600

firmware-mod-kit (0.99-1kali1) kali; urgency=low

  * Override dh_shlibdeps to fix 64-bit build

 -- Devon Kearns <dookie@kali.org>  Wed, 03 Jul 2013 09:53:46 -0600

firmware-mod-kit (0.99-1kali0) kali; urgency=low

  * Initial release (Closes: #0000251)  

 -- Devon Kearns <dookie@kali.org>  Wed, 03 Jul 2013 09:10:03 -0600

=== debian/control ===
Source: firmware-mod-kit
Section: utils
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 12), git, zlib1g-dev, liblzma-dev, python3-magic
Standards-Version: 4.4.0
Homepage: https://github.com/rampageX/firmware-mod-kit

Package: firmware-mod-kit
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, git, zlib1g-dev, liblzma-dev, python3-magic
Description: Deconstruct and reconstruct firmware images
 The Firmware Mod Kit allows for easy deconstruction and reconstruction of 
 firmware images for various embedded devices. While it primarily targets Linux 
 based routers, it should be compatible with most firmware that makes use of 
 common firmware formats and file systems such as TRX/uImage and 
 SquashFS/CramFS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_clean:

override_dh_clean:

override_dh_auto_build:
	cd src/ && ./configure && make

override_dh_auto_install:
	dh_installdirs

override_dh_shlibdeps:
